API Reference    {#corgi_api_reference}
=============

This document describes all classes, functions, macros, and files that make up
the [CORGI][] library. This is intended to be used as a reference for C++
programmers who are familiar with [entity-component systems][].


The API reference is broken into the following sections:
   * [Component][]
      - Classes and functions for components.
   * [Component Library][]
      - Provides a collection of Components for common game services.
   * [Entity][]
      - Classes and functions for entities.
   * [Entity Manager][]
      - A class for managing the Entities and Components in your game.
   * [Vector Pool][]
      - The underlying memory allocation mechanism for the system.

<br>

   [Component]: @ref corgi_component
   [Component Library]: @ref corgi_component_library
   [CORGI]: @ref corgi_index
   [Entity]: @ref corgi_entity
   [entity-component systems]: https://en.wikipedia.org/wiki/Entity_component_system
   [Entity Manager]: @ref corgi_entity_manager
   [Vector Pool]: @ref corgi_vector_pool
